# Remove-RASBroker.md

## NAME

Remove-RASBroker

## SYNOPSIS

Removes a RAS Connection Broker server from a site.

## SYNTAX

**Remove-RASBroker** \[[Id](#id-string)] *(uint)* \[[NoUninstall](#nouninstall-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Remove-RASBroker** \[[Id](#id-string)] *(uint)* -[Password](#password-string) *(SecureString)* -[Username](#username-string) *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASBroker \[-[InputObject](#inputobject)] *(*[*Broker*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/broker.md)*)* \[[NoUninstall](#nouninstall-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASBroker \[-[InputObject](#inputobject)] *(*[*Broker*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/broker.md)*)* -[Password](#password-string) *(SecureString)* -[Username](#username-string) *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Remove-RASBroker** \[[Server](#server-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[[NoUninstall](#nouninstall-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Remove-RASBroker** \[[Server](#server-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[Password](#password-string) *(SecureString)* -[Username](#username-string) *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies a RAS Connection Broker server 'Marked for Deletion'.

the RAS Connection Broker is removed once the Invoke-Apply command is called.

## PARAMETERS

## Server (string)

FQDN or IP address of the RAS Connection Broker server to remove.

This must be the actual server name used in the farm.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to remove the RAS Connection Broker server.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of a RAS Connection Broker to remove.

To obtain the ID, use the command to Get-RASBroker.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## NoUninstall (SwitchParameter)

Include this parameter if you wish to keep the RAS Connection Broker software on the server.

To uninstall the agent software, omit this parameter.

When uninstalling the agent, your RAS admin credentials will be used by default.

You can specify different credentials by including the Username and Password parameters.

```
        Required?                    false

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Username (string)

A username that will be used to remotely uninstall the RAS Connection Broker software from the target server.

If this parameter is omitted, your RAS admin username and password will be used by default.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Password (SecureString)

The password of the account specified in the Username parameter.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([Broker](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/broker.md))

An object of type Broker representing the RAS Connection Broker you wish to remove.

To obtain the object, use the Get-RASBroker cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[Broker](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/broker.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Remove-RASBroker "server.company.dom"

Removes the specified RAS Connection Broker server from the Licensing Server Site.

To remove the server from a specific site, include the -SiteId parameter.

## RELATED LINKS

* [New-RASBroker](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasbroker.md)
* [Get-RASBroker](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasbroker.md)
* [Set-RASBroker](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasbroker.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasbroker.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
